root@37:/home/discourse# ./launcher start app
x86_64 アーキテクチャを検出しました。
既存のコンテナを起動中
+ /usr/bin/docker start app
app
root@37:/home/discourse# ./launcher rebuild app
x86_64 アーキテクチャを検出しました。
ランチャーが最新であることを確認中
origin を取得中
ランチャーは最新です
古いコンテナを停止中
+ /usr/bin/docker stop -t 600 app
app
2.0.20231023-1945: discourse/base からプル中
ダイジェスト: sha256:2b0eb484d20888cc2daadb690dcfa73522105650c1420212e99345a36a424d77
ステータス: discourse/base:2.0.20231023-1945 のイメージは最新です
docker.io/discourse/base:2.0.20231023-1945
/usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups.rb
/usr/local/bin/pups --stdin
I, [2023-12-07T21:27:52.867393 #1] INFO -- : stdin から読み込み中
I, [2023-12-07T21:27:52.888810 #1] INFO -- : > locale-gen $LANG && update-locale
I, [2023-12-07T21:27:53.052110 #1] INFO -- : ロケールの生成中(時間がかかる場合があります)...
生成完了。
I, [2023-12-07T21:27:53.053307 #1] INFO -- : > mkdir -p /shared/postgres_run
I, [2023-12-07T21:27:53.068794 #1] INFO -- :
I, [2023-12-07T21:27:53.070818 #1] INFO -- : > chown postgres:postgres /shared/postgres_run
I, [2023-12-07T21:27:53.087442 #1] INFO -- :
I, [2023-12-07T21:27:53.088730 #1] INFO -- : > chmod 775 /shared/postgres_run
I, [2023-12-07T21:27:53.100734 #1] INFO -- :
I, [2023-12-07T21:27:53.101630 #1] INFO -- : > rm -fr /var/run/postgresql
I, [2023-12-07T21:27:53.111689 #1] INFO -- :
I, [2023-12-07T21:27:53.112786 #1] INFO -- : > ln -s /shared/postgres_run /var/run/postgresql
I, [2023-12-07T21:27:53.129240 #1] INFO -- :
I, [2023-12-07T21:27:53.130816 #1] INFO -- : > socat /dev/null UNIX-CONNECT:/shared/postgres_run/.s.PGSQL.5432 || exit 0 && echo postgres already running stop container ; exit 1
2023/12/07 21:27:53 socat[19] E connect(6, AF=1 "/shared/postgres_run/.s.PGSQL.5432", 36): No such file or directory
I, [2023-12-07T21:27:53.171995 #1] INFO -- :
I, [2023-12-07T21:27:53.172733 #1] INFO -- : > rm -fr /shared/postgres_run/.s*
I, [2023-12-07T21:27:53.187307 #1] INFO -- :
I, [2023-12-07T21:27:53.188651 #1] INFO -- : > rm -fr /shared/postgres_run/*.pid
I, [2023-12-07T21:27:53.200917 #1] INFO -- :
I, [2023-12-07T21:27:53.201966 #1] INFO -- : > mkdir -p /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-07T21:27:53.213670 #1] INFO -- :
I, [2023-12-07T21:27:53.214910 #1] INFO -- : > chown postgres:postgres /shared/postgres_run/13-main.pg_stat_tmp
I, [2023-12-07T21:27:53.227265 #1] INFO -- :
I, [2023-12-07T21:27:53.254417 #1] INFO -- : ファイル > /etc/service/postgres/run chmod: +x chown:
I, [2023-12-07T21:27:53.278747 #1] INFO -- : ファイル > /etc/service/postgres/log/run chmod: +x chown:
I, [2023-12-07T21:27:53.305447 #1] INFO -- : ファイル > /etc/runit/3.d/99-postgres chmod: +x chown:
I, [2023-12-07T21:27:53.330755 #1] INFO -- : ファイル > /root/upgrade_postgres chmod: +x chown:
I, [2023-12-07T21:27:53.331959 #1] INFO -- : > chown -R root /var/lib/postgresql/13/main
I, [2023-12-07T21:27:55.522162 #1] INFO -- :
I, [2023-12-07T21:27:55.523699 #1] INFO -- : > [ ! -e /shared/postgres_data ] && install -d -m 0755 -o postgres -g postgres /shared/postgres_data && sudo -E -u postgres /usr/lib/postgresql/13/bin/initdb -D /shared/postgres_data || exit 0
I, [2023-12-07T21:27:55.534722 #1] INFO -- :
I, [2023-12-07T21:27:55.534966 #1] INFO -- : > chown -R postgres:postgres /shared/postgres_data
I, [2023-12-07T21:27:55.748127 #1] INFO -- :
I, [2023-12-07T21:27:55.749312 #1] INFO -- : > chown -R postgres:postgres /var/run/postgresql
I, [2023-12-07T21:27:55.762117 #1] INFO -- :
I, [2023-12-07T21:27:55.763943 #1] INFO -- : > /root/upgrade_postgres
I, [2023-12-07T21:27:55.790468 #1] INFO -- :
I, [2023-12-07T21:27:55.791704 #1] INFO -- : > rm /root/upgrade_postgres
I, [2023-12-07T21:27:55.802614 #1] INFO -- :
I, [2023-12-07T21:27:55.803939 #1] INFO -- : data_directory = '/var/lib/postgresql/13/main' を /etc/postgresql/13/main/postgresql.conf 内の data_directory = '/shared/postgres_data' に置換中
I, [2023-12-07T21:27:55.806088 #1] INFO -- : (?-mix:#?listen_addresses *=.*) を /etc/postgresql/13/main/postgresql.conf 内の listen_addresses = '*' に置換中
I, [2023-12-07T21:27:55.807166 #1] INFO -- : (?-mix:#?synchronous_commit *=.*) を /etc/postgresql/13/main/postgresql.conf 内の synchronous_commit = $db_synchronous_commit に置換中
I, [2023-12-07T21:27:55.808275 #1] INFO -- : (?-mix:#?shared_buffers *=.*) を /etc/postgresql/13/main/postgresql.conf 内の shared_buffers = $db_shared_buffers に置換中
I, [2023-12-07T21:27:55.809777 #1] INFO -- : (?-mix:#?work_mem *=.*) を /etc/postgresql/13/main/postgresql.conf 内の work_mem = $db_work_mem に置換中
I, [2023-12-07T21:27:55.811055 #1] INFO -- : (?-mix:#?default_text_search_config *=.*) を /etc/postgresql/13/main/postgresql.conf 内の default_text_search_config = '$db_default_text_search_config' に置換中
I, [2023-12-07T21:27:55.812350 #1] INFO -- : > install -d -m 0755 -o postgres -g postgres /shared/postgres_backup
I, [2023-12-07T21:27:55.832907 #1] INFO -- :
I, [2023-12-07T21:27:55.834231 #1] INFO -- : (?-mix:#?checkpoint_segments *=.*) を /etc/postgresql/13/main/postgresql.conf 内の checkpoint_segments = $db_checkpoint_segments に置換中
I, [2023-12-07T21:27:55.836692 #1] INFO -- : (?-mix:#?logging_collector *=.*) を /etc/postgresql/13/main/postgresql.conf 内の logging_collector = $db_logging_collector に置換中
I, [2023-12-07T21:27:55.838620 #1] INFO -- : (?-mix:#?log_min_duration_statement *=.*) を /etc/postgresql/13/main/postgresql.conf 内の log_min_duration_statement = $db_log_min_duration_statement に置換中
I, [2023-12-07T21:27:55.840740 #1] INFO -- : (?-mix:^#local +replication +postgres +peer$) を /etc/postgresql/13/main/pg_hba.conf 内の local replication postgres peer に置換中
I, [2023-12-07T21:27:55.842479 #1] INFO -- : (?-mix:^host.*all.*all.*127.*$) を /etc/postgresql/13/main/pg_hba.conf 内の host all all 0.0.0.0/0 md5 に置換中
I, [2023-12-07T21:27:55.844302 #1] INFO -- : (?-mix:^host.*all.*all.*::1\/128.*$) を /etc/postgresql/13/main/pg_hba.conf 内の host all all ::/0 md5 に置換中
I, [2023-12-07T21:27:55.845600 #1] INFO -- : > HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main
I, [2023-12-07T21:27:55.856257 #1] INFO -- : > sleep 5
2023-12-07 21:27:56.035 UTC [42] LOG: x86_64-pc-linux-gnu 上で PostgreSQL 13.12 (Debian 13.12-1.pgdg110+1) を起動中、gcc (Debian 10.2.1-6) 10.2.1 20210110 によりコンパイル、64 ビット
2023-12-07 21:27:56.036 UTC [42] LOG: IPv4 アドレス "0.0.0.0"、ポート 5432 で待機中
2023-12-07 21:27:56.036 UTC [42] LOG: IPv6 アドレス "::"、ポート 5432 で待機中
2023-12-07 21:27:56.042 UTC [42] LOG: Unix ソケット "/var/run/postgresql/.s.PGSQL.5432" で待機中
2023-12-07 21:27:56.072 UTC [45] LOG: データベースシステムは 2023-12-07 21:27:34 UTC にシャットダウンしました
2023-12-07 21:27:56.094 UTC [42] LOG: データベースシステムは接続を受け付ける準備ができました
I, [2023-12-07T21:28:00.869339 #1] INFO -- :
I, [2023-12-07T21:28:00.870667 #1] INFO -- : > su postgres -c 'createdb discourse' || true
2023-12-07 21:28:01.164 UTC [55] postgres@postgres ERROR: データベース「discourse」は既に存在します
2023-12-07 21:28:01.164 UTC [55] postgres@postgres STATEMENT: CREATE DATABASE discourse;
createdb: エラー: データベース作成に失敗しました:ERROR: データベース「discourse」は既に存在します
I, [2023-12-07T21:28:01.171789 #1] INFO -- :
I, [2023-12-07T21:28:01.173658 #1] INFO -- : > su postgres -c 'psql discourse -c "create user discourse;"' || true
2023-12-07 21:28:01.409 UTC [59] postgres@discourse ERROR: ロール「discourse」は既に存在します
2023-12-07 21:28:01.409 UTC [59] postgres@discourse STATEMENT: create user discourse;
ERROR: ロール「discourse」は既に存在します
I, [2023-12-07T21:28:01.421089 #1] INFO -- :
I, [2023-12-07T21:28:01.422390 #1] INFO -- : > su postgres -c 'psql discourse -c "grant all privileges on database discourse to discourse;"' || true
I, [2023-12-07T21:28:01.652351 #1] INFO -- : GRANT
I, [2023-12-07T21:28:01.653224 #1] INFO -- : > su postgres -c 'psql discourse -c "alter schema public owner to discourse;"'
I, [2023-12-07T21:28:01.848464 #1] INFO -- : ALTER SCHEMA
I, [2023-12-07T21:28:01.849319 #1] INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists hstore;"'
NOTICE: 拡張機能「hstore」は既に存在するためスキップ中
I, [2023-12-07T21:28:02.020169 #1] INFO -- : CREATE EXTENSION
I, [2023-12-07T21:28:02.021062 #1] INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists pg_trgm;"'
NOTICE: 拡張機能「pg_trgm」は既に存在するためスキップ中
I, [2023-12-07T21:28:02.199327 #1] INFO -- : CREATE EXTENSION
I, [2023-12-07T21:28:02.200424 #1] INFO -- : > su postgres -c 'psql template1 -c "create extension if not exists vector;"'
NOTICE: 拡張機能「vector」は既に存在するためスキップ中
I, [2023-12-07T21:28:02.392996 #1] INFO -- : CREATE EXTENSION
I, [2023-12-07T21:28:02.394344 #1] INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists hstore;"'
NOTICE: 拡張機能「hstore」は既に存在するためスキップ中
I, [2023-12-07T21:28:02.575096 #1] INFO -- : CREATE EXTENSION
I, [2023-12-07T21:28:02.576400 #1] INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists pg_trgm;"'
NOTICE: 拡張機能「pg_trgm」は既に存在するためスキップ中
I, [2023-12-07T21:28:02.725992 #1] INFO -- : CREATE EXTENSION
I, [2023-12-07T21:28:02.726638 #1] INFO -- : > su postgres -c 'psql discourse -c "create extension if not exists vector;"'
NOTICE: 拡張機能「vector」は既に存在するためスキップ中
I, [2023-12-07T21:28:02.908238 #1] INFO -- : CREATE EXTENSION
I, [2023-12-07T21:28:02.909565 #1] INFO -- : > sudo -u postgres psql discourse
I, [2023-12-07T21:28:02.921548 #1] INFO -- : update pg_database set encoding = pg_char_to_encoding('UTF8') where datname = 'discourse' AND encoding = pg_char_to_encoding('SQL_ASCII');
I, [2023-12-07T21:28:03.146861 #1] INFO -- : ファイル > /var/lib/postgresql/take-database-backup chmod: +x chown: postgres:postgres
I, [2023-12-07T21:28:03.165891 #1] INFO -- : ファイル > /var/spool/cron/crontabs/postgres chmod: chown:
I, [2023-12-07T21:28:03.166367 #1] INFO -- : > echo postgres installed!
I, [2023-12-07T21:28:03.182267 #1] INFO -- : postgres がインストールされました!
I, [2023-12-07T21:28:03.213062 #1] INFO -- : ファイル > /etc/service/redis/run chmod: +x chown:
I, [2023-12-07T21:28:03.244974 #1] INFO -- : ファイル > /etc/service/redis/log/run chmod: +x chown:
I, [2023-12-07T21:28:03.266706 #1] INFO -- : ファイル > /etc/runit/3.d/10-redis chmod: +x chown:
I, [2023-12-07T21:28:03.268509 #1] INFO -- : /etc/redis/redis.conf 内の daemonize yes を空に置換中
I, [2023-12-07T21:28:03.271386 #1] INFO -- : /etc/redis/redis.conf 内の (?-mix:^pidfile.*$) を空に置換中
I, [2023-12-07T21:28:03.273731 #1] INFO -- : > install -d -m 0755 -o redis -g redis /shared/redis_data
I, [2023-12-07T21:28:03.288445 #1] INFO -- :
I, [2023-12-07T21:28:03.290198 #1] INFO -- : /etc/redis/redis.conf 内の (?-mix:^logfile.*$) を logfile "" に置換中
I, [2023-12-07T21:28:03.292337 #1] INFO -- : /etc/redis/redis.conf 内の (?-mix:^bind .*$) を空に置換中
I, [2023-12-07T21:28:03.293786 #1] INFO -- : /etc/redis/redis.conf 内の (?-mix:^dir .*$) を dir /shared/redis_data に置換中
I, [2023-12-07T21:28:03.295696 #1] INFO -- : /etc/redis/redis.conf 内の (?-mix:^protected-mode yes) を protected-mode no に置換中
I, [2023-12-07T21:28:03.297288 #1] INFO -- : /etc/redis/redis.conf 内の # io-threads 4 を io-threads $redis_io_threads に置換中
I, [2023-12-07T21:28:03.298621 #1] INFO -- : > echo redis installed
I, [2023-12-07T21:28:03.307352 #1] INFO -- : redis がインストールされました
I, [2023-12-07T21:28:03.308311 #1] INFO -- : > cat /etc/redis/redis.conf | grep logfile
I, [2023-12-07T21:28:03.327848 #1] INFO -- : logfile ""
I, [2023-12-07T21:28:03.328908 #1] INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-12-07T21:28:03.340064 #1] INFO -- : > sleep 10
111:C 07 Dec 2023 21:28:03.363 # oO0OoO0OoO0Oo Redis が起動中 oO0OoO0OoO0Oo
111:C 07 Dec 2023 21:28:03.363 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=111, just started
111:C 07 Dec 2023 21:28:03.363 # 設定を読み込み中
111:M 07 Dec 2023 21:28:03.366 * 単調クロック: POSIX clock_gettime
111:M 07 Dec 2023 21:28:03.369 * 実行モード=スタンドアロン、ポート=6379 で実行中。
111:M 07 Dec 2023 21:28:03.369 # サーバーが初期化されました
111:M 07 Dec 2023 21:28:03.369 # 警告: メモリオーバコミットを有効にする必要があります! 無効な場合、低メモリ条件下でバックグラウンド保存またはレプリケーションが失敗する可能性があります。無効になっている場合、低メモリ条件がない場合でも失敗する可能性があります。詳細については https://github.com/jemalloc/jemalloc/issues/1328 を参照してください。この問題を修正するには、/etc/sysctl.conf に 'vm.overcommit_memory = 1' を追加し、再起動するか、このコマンドを実行して有効にします:'sysctl vm.overcommit_memory=1'
111:M 07 Dec 2023 21:28:03.371 * 7.0.7 バージョンによって生成された RDB を読み込み中
111:M 07 Dec 2023 21:28:03.371 * RDB の年齢 31 秒
111:M 07 Dec 2023 21:28:03.371 * RDB 作成時のメモリ使用量 2.62 Mb
111:M 07 Dec 2023 21:28:03.382 * RDB の読み込み完了、読み込まれたキー: 319、期限切れのキー: 0。
111:M 07 Dec 2023 21:28:03.382 * ディスクからの DB 読み込み完了:0.012 秒
111:M 07 Dec 2023 21:28:03.382 * 接続を受け付ける準備ができました
I, [2023-12-07T21:28:13.354480 #1] INFO -- :
I, [2023-12-07T21:28:13.355715 #1] INFO -- : > thpoff echo "thpoff is installed!"
I, [2023-12-07T21:28:13.375845 #1] INFO -- : thpoff がインストールされました!
I, [2023-12-07T21:28:13.377559 #1] INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_SMTP_ADDRESS"] == "smtp.example.com"; puts "Aborting! Mail is not configured!"; exit 1; end'
I, [2023-12-07T21:28:13.652534 #1] INFO -- :
I, [2023-12-07T21:28:13.653251 #1] INFO -- : > /usr/local/bin/ruby -e 'if ENV["DISCOURSE_HOSTNAME"] == "discourse.example.com"; puts "Aborting! Domain is not configured!"; exit 1; end'
I, [2023-12-07T21:28:13.886027 #1] INFO -- :
I, [2023-12-07T21:28:13.887325 #1] INFO -- : > /usr/local/bin/ruby -e 'if (ENV["DISCOURSE_CDN_URL"] || "")[0..1] == "//"; puts "Aborting! CDN must have a protocol specified. Once fixed you should rebake your posts now to correct all posts."; exit 1; end'
I, [2023-12-07T21:28:14.154099 #1] INFO -- :
I, [2023-12-07T21:28:14.154919 #1] INFO -- : > rm -f /etc/cron.d/anacron
I, [2023-12-07T21:28:14.165050 #1] INFO -- :
I, [2023-12-07T21:28:14.178331 #1] INFO -- : ファイル > /etc/cron.d/anacron chmod: chown:
I, [2023-12-07T21:28:14.203523 #1] INFO -- : ファイル > /etc/runit/1.d/copy-env chmod: +x chown:
I, [2023-12-07T21:28:14.231014 #1] INFO -- : ファイル > /etc/service/unicorn/run chmod: +x chown:
I, [2023-12-07T21:28:14.256600 #1] INFO -- : ファイル > /etc/service/nginx/run chmod: +x chown:
I, [2023-12-07T21:28:14.285982 #1] INFO -- : ファイル > /etc/runit/3.d/01-nginx chmod: +x chown:
I, [2023-12-07T21:28:14.314320 #1] INFO -- : ファイル > /etc/runit/3.d/02-unicorn chmod: +x chown:
I, [2023-12-07T21:28:14.315225 #1] INFO -- : /etc/service/unicorn/run 内の # postgres を sv start postgres || exit 1 に置換中
I, [2023-12-07T21:28:14.316771 #1] INFO -- : > exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf
I, [2023-12-07T21:28:14.331121 #1] INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git reset --hard
138:C 07 Dec 2023 21:28:14.347 # oO0OoO0OoO0Oo Redis が起動中 oO0OoO0OoO0Oo
138:C 07 Dec 2023 21:28:14.348 # Redis version=7.0.7, bits=64, commit=00000000, modified=0, pid=138, just started
138:C 07 Dec 2023 21:28:14.348 # 設定を読み込み中
138:M 07 Dec 2023 21:28:14.349 * 単調クロック: POSIX clock_gettime
138:M 07 Dec 2023 21:28:14.350 # 警告: サーバー TCP リスニングソケット *:6379 の作成に失敗しました:bind: アドレスは既に使用中です
138:M 07 Dec 2023 21:28:14.350 # ポート 6379 (TCP) でのリスニングに失敗しました。中止します。
ファイルの更新中: 100% (33858/33858)、完了
I, [2023-12-07T21:28:29.489189 #1] INFO -- : HEAD は現在 043b4a418 にあります FIX: data-tooltip の使用を <DTooltip /> に置き換えます (#24062)
I, [2023-12-07T21:28:29.489710 #1] INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse git clean -f
I, [2023-12-07T21:28:30.370415 #1] INFO -- :
I, [2023-12-07T21:28:30.370684 #1] INFO -- : > cd /var/www/discourse && sudo -H -E -u discourse bash -c '
set -o errexit
if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
git remote set-branches --add origin main
git remote set-branches origin tests-passed
git fetch --depth 1 origin tests-passed
else
git fetch --tags --prune-tags --prune --force origin
fi
'
fatal: 'https://github.com/discourse/discourse.git/' にアクセスできません:ホスト github.com を解決できません
I, [2023-12-07T21:28:42.767417 #1] INFO -- :
I, [2023-12-07T21:28:42.769055 #1] INFO -- : 非同期プロセスを終了中
I, [2023-12-07T21:28:42.769372 #1] INFO -- : HOME=/var/lib/postgresql USER=postgres exec chpst -u postgres:postgres:ssl-cert -U postgres:postgres:ssl-cert /usr/lib/postgresql/13/bin/postmaster -D /etc/postgresql/13/main pid: 42 に INT を送信中
I, [2023-12-07T21:28:42.769482 #1] INFO -- : exec chpst -u redis -U redis /usr/bin/redis-server /etc/redis/redis.conf pid: 111 に TERM を送信中
2023-12-07 21:28:42.769 UTC [42] LOG: 高速シャットダウン要求を受信しました
111:signal-handler (1701984522) SIGTERM を受信し、シャットダウンをスケジュール中...
2023-12-07 21:28:42.771 UTC [42] LOG: アクティブなトランザクションを中止中
2023-12-07 21:28:42.779 UTC [42] LOG: バックグラウンドワーカー「logical replication launcher」(PID 51) が終了コード 1 で終了しました
111:M 07 Dec 2023 21:28:42.782 # ユーザーによるシャットダウン要求...
111:M 07 Dec 2023 21:28:42.782 * 終了前に最終 RDB スナップショットを保存中
2023-12-07 21:28:42.785 UTC [46] LOG: シャットダウン中
111:M 07 Dec 2023 21:28:42.811 * DB をディスクに保存しました
111:M 07 Dec 2023 21:28:42.811 # Redis は現在終了の準備ができました。さようなら...
2023-12-07 21:28:42.853 UTC [42] LOG: データベースシステムがシャットダウンしました
失敗
--------------------
Pups::ExecError: cd /var/www/discourse && sudo -H -E -u discourse bash -c '
set -o errexit
if [ $(git rev-parse --is-shallow-repository) == "true" ]; then
git remote set-branches --add origin main
git remote set-branches origin tests-passed
git fetch --depth 1 origin tests-passed
else
git fetch --tags --prune-tags --prune --force origin
fi
' が返却値 #<Process::Status: pid 147 exit 128> で失敗しました
失敗場所: /usr/local/lib/ruby/gems/3.2.0/gems/pups-1.2.1/lib/pups/exec_command.rb:132:in `spawn'
以下のパラメータで exec が失敗しました {"cd"=>"$home", "hook"=>"code", "cmd"=>["sudo -H -E -u discourse git reset --hard", "sudo -H -E -u discourse git clean -f", "sudo -H -E -u discourse bash -c '\n set -o errexit\n if [ $(git rev-parse --is-shallow-repository) == \"true\" ]; then\n git remote set-branches --add origin main\n git remote set-branches origin $version\n git fetch --depth 1 origin $version\n else\n git fetch --tags --prune-tags --prune --force origin\n fi\n'", "sudo -H -E -u discourse bash -c '\n set -o errexit\n if [[ $(git symbolic-ref --short HEAD) == $version ]] ; then\n git pull\n else\n git -c advice.detachedHead=false checkout $version\n fi\n'", "sudo -H -E -u discourse git config user.discourse-version $version", "mkdir -p tmp", "chown discourse:www-data tmp", "mkdir -p tmp/pids", "mkdir -p tmp/sockets", "touch tmp/.gitkeep", "mkdir -p /shared/log/rails", "bash -c \"touch -a /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log\"", "bash -c \"ln -s /shared/log/rails/{production,production_errors,unicorn.stdout,unicorn.stderr,sidekiq}.log $home/log\"", "bash -c \"mkdir -p /shared/{uploads,backups}\"", "bash -c \"ln -s /shared/{uploads,backups} $home/public\"", "bash -c \"mkdir -p /shared/tmp/{backups,restores}\"", "bash -c \"ln -s /shared/tmp/{backups,restores} $home/tmp\"", "chown -R discourse:www-data /shared/log/rails /shared/uploads /shared/backups /shared/tmp", "[ ! -d public/plugins ] || find public/plugins/ -maxdepth 1 -xtype l -delete"]}
ブートストラップが終了コード 128 で失敗しました
** ブートストラップに失敗しました ** 上記にスクロールして、以前のエラーメッセージを探してください。複数のエラーがある可能性があります。
./discourse-doctor で問題を診断できる場合があります。
a3cbcdb4f69959188529ca50ea2c2c507929ee0eb917fabc18102efd9a16862f
root@37:/home/discourse#